#include <gsl/gsl_histogram.h>
#include <gsl/gsl_vector.h>

/* `rl_deconvolve(data, noise, rounds)`
 * tries to deconvolve `noise` from
 * `data` in `rounds` rounds.
 * */
gsl_histogram* rl_deconvolve(
  gsl_histogram *data,
  gsl_histogram *noise,
  size_t rounds);

/* `convolve(a, b)` computes the linear convolution
 * of two histograms. The convolted histogram
 * has length `a->n + b->n - 1`.
 */
int gsl_vector_convolve(
  gsl_vector *a,
  gsl_vector *b,
  gsl_vector *res);
